# Class FressianReader

java.lang.Object
org.fressian.FressianReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Reader`

public class FressianReader extends Object implements Reader, Closeable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map`
`coreHandlers`
`final Map`
`standardExtensionHandlers`

## Constructor Summary

Constructors
Constructor
Description
`FressianReader(InputStream is)`
`FressianReader(InputStream is, ILookup<Object, ReadHandler> handlerLookup)`
`FressianReader(InputStream is, ILookup<Object, ReadHandler> handlerLookup, boolean validateAdler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`readBoolean()`
`double`
`readDouble()`
`float`
`readFloat()`
`long`
`readInt()`
`Object`
`readObject()`
`void`
`validateFooter()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### standardExtensionHandlers

public final Map standardExtensionHandlers

### coreHandlers

public static final Map coreHandlers

## Constructor Details

### FressianReader

public FressianReader(InputStream is)

### FressianReader

public FressianReader(InputStream is, ILookup<Object, ReadHandler> handlerLookup)

### FressianReader

public FressianReader(InputStream is, ILookup<Object, ReadHandler> handlerLookup, boolean validateAdler)

## Method Details

### readBoolean

public boolean readBoolean() throws IOException

Specified by:
  `readBoolean` in interface `Reader`
Throws:
  `IOException`

### readInt

public long readInt() throws IOException

Specified by:
  `readInt` in interface `Reader`
Throws:
  `IOException`

### readDouble

public double readDouble() throws IOException

Specified by:
  `readDouble` in interface `Reader`
Throws:
  `IOException`

### readFloat

public float readFloat() throws IOException

Specified by:
  `readFloat` in interface `Reader`
Throws:
  `IOException`

### readObject

public Object readObject() throws IOException

Specified by:
  `readObject` in interface `Reader`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

### validateFooter

public void validateFooter() throws IOException

Specified by:
  `validateFooter` in interface `Reader`
Throws:
  `IOException`